Download it now!
Bug 130096 - Writer Wrap Sidebar RadioButton
Summary: Writer Wrap Sidebar RadioButton
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: andreas_k
URL:
Whiteboard: target:7.0.0
Keywords: needsUXEval
Depends on:
Blocks:
 
Reported: 2020-01-20 21:27 UTC by andreas_k
Modified: 2020-02-11 11:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
wrap sidebar (8.83 KB, image/png)
2020-01-20 21:27 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2020-01-20 21:27:55 UTC
Created attachment 157281 [details]
wrap sidebar

Is there a reason why there are GtkRadioButtons in the writer wrap sidebar?
I would suggest to use only icons as LibO use for Bold, Italic, ... it's the only sidebar that use radio buttons.
Comment 1 Caolán McNamara 2020-01-21 09:50:40 UTC
It was radiobuttons since its initial import of d02f75a8c36705924ddd6a5921fe3012fafce812 I imagine it was effectively a copy of what is now sw/uiconfig/swriter/ui/wrappage.ui

There are other GtkRadioButtons in the chart sidebar apparently, but I have no objections to someone changing them into a toolbar or whatever
Comment 2 andreas_k 2020-01-21 20:01:18 UTC
I understood why there are radio buttons (cause you can select only one element) but as I wrote it's not very common (chart sidebar is general very specific) and it need space and has visual issues if you shrink the sidebar.

In addition I would remove the second line
- checkbox Enable Contour Edit Contour button
cause this settings are not available in the wrap dialog and all settings should be available via dialog and in the sidebar the common settings.
Comment 3 Heiko Tietze 2020-01-22 14:45:43 UTC
Whether radio button or not, the accessibility is abysmally poor. We can accept it or switch to boring dropdown or have labels with the radio buttons.

> In addition I would remove the second line Enable Contour Edit Contour button

Simplicity first, so +1.
Comment 4 Commit Notification 2020-01-24 21:21:05 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a22de0aacc9fb4197e9051f572b1a9298b2472e2

tdf#130096 Wrap Sidebar update use common .uno commands and layout

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Heiko Tietze 2020-01-27 10:40:39 UTC
Andreas: usual procedure on BZ is, usually after the request got accepted and status became NEW, to assign the ticket to yourself (to avoid people doing the same in parallel), to submit the patch, and finally to resolve as fixed. So is it fixed?